<?php

include('pdf/fpdf.php');
session_cache_limiter('private');
session_start();
$com = "I";
include("DMMYSQLG.php");
include("DSA3000.php");
include("DMMYSQLG.php");
require_once("DF80000.php");  
$totNumExt=0;
$totNumNac=0;
$totFol=0;
$totPax=0;
class PDF extends FPDF{
//Cabecera de página
	function Header(){
	    //Logo
	         include("DYIM_VER.php");
	    //Arial bold 14
		$this->SetFont('Arial','B',13);
		//Título
		$this->Cell(225,5,'REPORTE DE PROCEDENCIA',0,1,'C',0);
		//Salto de línea
		
		$this->Cell(55,5,'Periodo: '.$_POST['fec'].' al '.$_POST['fec2'],0,0,'C',0);
		
		$this->Ln(8);
		$this->SetFont('Arial','B',8);//establece tamaño de letra
		$this->SetFillColor(192,192,192);
		$this->Cell(5,5,'',0,0,'C',0);
		$this->Cell(14,5,'FOLIO',1,0,'C',1);
		$this->Cell(25,5,'PAIS',1,0,'C',1);
		$this->Cell(30,5,'ESTADO',1,0,'C',1);
		$this->Cell(45,5,'HUESPED',1,0,'C',1);
		$this->Cell(7,5,'PAX',1,0,'C',1);
		$this->cell(25,5,'TELEFONO',1,0,'C',1);
		$this->cell(40,5,'E-MAIL',1,0,'C',1);
		$this->Cell(15,5,'LLEGADA',1,0,'C',1);
		$this->Cell(15,5,'SALIDA',1,0,'C',1);
		$this->Cell(29,5,'SEGMENTO',1,1,'C',1);
			
	}	
	//Pie de página
	function Footer()
	{
	//Posición: a 1,5 cm del final
	$this->SetY(-15);
	//Arial italic 8
	$this->SetFont('Arial','I',8);
	//Número de página
	$this->Cell(0,10, $this->PageNo(),0,0,'C');
	}
}

$pdf=new PDF('L','mm','Letter');
$pdf->AddPage();

$pdf->SetFillColor(192,192,192);
$pdf->SetFont('Arial','',8);//establece tamaño de letra
$vtb=(isset($_POST['tbus']))?$_POST['tbus']:"";
$tbus=mysqli_real_escape_string($GLOBALS['con'],$vtb);
$fec = $_POST['fec'];
    include('DF20000.php');
    $fecha_inicial = $f_m;
    $fec = $_POST['fec2'];
    include('DF20000.php');
    $fecha_final = $f_m;
	
	//************************************************************************************************************************************ 
    $table='valeryus19';
	
	$tipEst=$_POST['entero'];
	
	if($tipEst<>"T"){
	  $condicion[]="festado='".$tipEst."'";
	}	
	if($_POST['r']=='f'){
	  $condicion[] = "((ffecllegada <= '$fecha_inicial' and ffecsalida > '$fecha_inicial')		  or (ffecllegada <= '$fecha_final'  and ffecsalida > '$fecha_final' ) or (ffecllegada >= '$fecha_inicial' and ffecsalida <= '$fecha_final' ))";
		 
       }else{
	  $condicion[]="status='HUESPED'";
	}
	 
	$condicion[]="cancelado='0'";
	$condicion[]="ftipocto<>'MAESTRA'";
	$condicion[]="extra1='0'";
	$WHERE="WHERE ".implode(" AND ",$condicion);
//************************************************************************************************************************************
	$sql=mysqli_query($GLOBALS['con'] ,"SELECT distinct(festado) FROM $table $WHERE order by festado");
while ($row = mysqli_fetch_array($sql)) {
    $totfolios = 0;
    $totpersonas = 0;
    //while ($ddd=mysqli_fetch_array($sss)){

    $delEga = mysqli_query($GLOBALS['con'] ,"select *,sum(datediff(ffecllegada, '$fecha_inicial'))as a,  sum(datediff(ffecsalida, '$fecha_final'))as b from valeryus19 $WHERE AND festado='" . $row['festado'] . "'  ");
     $numExt = 0;
    $numNac = 0;
    $nofolio = 0;
    $asumar=0;
    while ($delMun = mysqli_fetch_array($delEga)) {
        if($fecha_inicial==$fecha_final){ 
            $nofolio = $nofolio + 1;
            $asumar=1;
        }
        else if ($delMun['a'] <= 0) {
            $nofolio = $nofolio + ($delMun['fnumctos']+$delMun['a']);
            $asumar=($delMun['fnumctos']+$delMun['a']);
        } else { 
            if($delMun['b'] >=1){
            $nofolio = $nofolio + (($delMun['fnumctos']-$delMun['b'])+1);
            
           $asumar=(($delMun['fnumctos']-$delMun['b'])+1);
            }
            else {
                 $nofolio = $nofolio + ($delMun['fnumctos']); 
                $asumar= ($delMun['fnumctos']);
            }
        }


        if ($delMun['fpais'] == '1') {
            $numNac+=$asumar;
        } else {
            $numExt+=$asumar;
        }

	  $pdf->SetFont('Arial','',7);
      $pdf-> Cell(5,5,'',0,0,'C',0);
	  if ($a>1){
	  $pdf-> Cell(245,0.3,'',0,1,'L',1);		
	  $pdf-> Cell(5,5,'',0,0,'C',0);
	  }
	   $pais=mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,"select des_pais from dxpaises where cve_pais='".$delMun['fpais']."'"));
	   $estado=mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,"select des_estado from dxestado where cve_estado='".$delMun['festado']."'"));
	  $pdf-> Cell(14,5, $delMun["n_reg"],10,0,'C',0);
	  $pdf-> Cell(25,5, substr($pais["des_pais"],0,18),10,0,'L',0);
	  $pdf-> Cell(30,5, substr($estado["des_estado"],0,18),10,0,'L',0); 
	  $pdf-> Cell(45,5, substr($delMun["fapellido"] . ' ' .$delMun["fnombre"],0,27),10,0,'L',0);
	  $pdf-> Cell(7,5, substr($delMun["fnumadu"],0,20),10,0,'R',0);
	  $pdf-> Cell(25,5, substr($delMun["ftelefono"],0,20),10,0,'R',0);
	  $pdf-> Cell(40,5, substr($delMun["fmail"],0,22),10,0,'L',0); 
	  $pdf-> Cell(15,5, chfecha($delMun['ffecllegada'],'Y-m-d'),10,0,'C',0); 
	  $pdf-> Cell(15,5, chfecha($delMun['ffecsalida'],'Y-m-d'),10,0,'C',0);
	  $pdf-> Cell(29,5, $delMun["codseg"],10,1,'C',0);
	     $totpersonas+=(($delMun['fnumadu']+$delMun['fnummenor']) *$asumar);
		 }
	  //$pdf-> Cell(5,3,'',0,0,'C',0);
	  //$pdf-> Cell(119,3,'TOTAL DE FOLIOS EN '.$estados["des_estado"].'-'.$delegacion["des_delmun"].'',1,0,'L',1);
	  //$pdf-> Cell(25,3,$a,1,0,'C',1);
	  //$pdf-> Cell(101,3,'',1,1,'C',1);	 
		 $totfolios+=$nofolio;
		 $totNumExt+=$numExt;
		 $totNumNac+=$numNac;
		 //}
	  
	  $pdf-> Cell(5,3,'',0,0,'C',0);
	  $pdf-> Cell(69,3,'TOTAL DE CUARTOS EN '.$estado["des_estado"].' :',1,0,'L',1);
	  $pdf-> Cell(45,3,$totfolios,1,0,'C',1);
	  $pdf-> Cell(7,3,$totpersonas,1,1,'R',1);
	     $totFol+=$totfolios; 
		 $totPax+=$totpersonas; 
	  
}
      $pdf->SetFont('Arial','B',8);//establece tamaño de letra
	  $pdf-> Cell(5,5,'',0,0,'C',0);
	  $pdf-> Cell(89,5,'TOTAL DE CUARTOS:   '.$totFol.'',1,0,'R',1); 
	  $pdf-> Cell(32,5,'TOTAL DE PAX:   '.$totPax.'',1,1,'R',1); 
	  
	  $pdf-> Cell(5,5,'',0,0,'C',0);
	  $pdf-> Cell(90,5,'TOTAL DE CUARTOS NACIONALES:   '.$totNumNac.'',1,1,'R',1); 
	  $pdf-> Cell(5,5,'',0,0,'C',0);
	  $pdf-> Cell(90,5,'TOTAL DE CUARTOS EXTRANJEROS:   '.$totNumExt.'',1,1,'R',1); 

$pdf->Output("Reporte_De_Delegaciones.pdf","D");
//163-->90 ULTIMA ACTUALIZACION 21/AGOSTO/2012 
?> 
